/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TARMSOLICITUDGUARDIAS")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tarmsolicitudguardias.findAll", query = "SELECT t FROM Tarmsolicitudguardias t"),
    @NamedQuery(name = "Tarmsolicitudguardias.findByCsolicitud", query = "SELECT t FROM Tarmsolicitudguardias t WHERE t.tarmsolicitudguardiasPK.csolicitud = :csolicitud"),
    @NamedQuery(name = "Tarmsolicitudguardias.findByCempresa", query = "SELECT t FROM Tarmsolicitudguardias t WHERE t.tarmsolicitudguardiasPK.cempresa = :cempresa"),
    @NamedQuery(name = "Tarmsolicitudguardias.findByCguardia", query = "SELECT t FROM Tarmsolicitudguardias t WHERE t.tarmsolicitudguardiasPK.cguardia = :cguardia")})
public class Tarmsolicitudguardias implements Serializable {

    private static final long serialVersionUID = 1L;
    @EmbeddedId
    protected TarmsolicitudguardiasPK tarmsolicitudguardiasPK;
    @JoinColumn(name = "CGUARDIA", referencedColumnName = "CGUARDIA", insertable = false, updatable = false)
    @ManyToOne(optional = false)
    private Tarmguardias tarmguardias;
    @JoinColumn(name = "CSOLICITUD", referencedColumnName = "CSOLICITUD", insertable = false, updatable = false)
    @ManyToOne(optional = false)
    private Tarmsolicitud tarmsolicitud;

    public Tarmsolicitudguardias() {
    }

    public Tarmsolicitudguardias(TarmsolicitudguardiasPK tarmsolicitudguardiasPK) {
        this.tarmsolicitudguardiasPK = tarmsolicitudguardiasPK;
    }

    public Tarmsolicitudguardias(String csolicitud, long cempresa, long cguardia) {
        this.tarmsolicitudguardiasPK = new TarmsolicitudguardiasPK(csolicitud, cempresa, cguardia);
    }

    public TarmsolicitudguardiasPK getTarmsolicitudguardiasPK() {
        return tarmsolicitudguardiasPK;
    }

    public void setTarmsolicitudguardiasPK(TarmsolicitudguardiasPK tarmsolicitudguardiasPK) {
        this.tarmsolicitudguardiasPK = tarmsolicitudguardiasPK;
    }

    public Tarmguardias getTarmguardias() {
        return tarmguardias;
    }

    public void setTarmguardias(Tarmguardias tarmguardias) {
        this.tarmguardias = tarmguardias;
    }

    public Tarmsolicitud getTarmsolicitud() {
        return tarmsolicitud;
    }

    public void setTarmsolicitud(Tarmsolicitud tarmsolicitud) {
        this.tarmsolicitud = tarmsolicitud;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (tarmsolicitudguardiasPK != null ? tarmsolicitudguardiasPK.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tarmsolicitudguardias)) {
            return false;
        }
        Tarmsolicitudguardias other = (Tarmsolicitudguardias) object;
        if ((this.tarmsolicitudguardiasPK == null && other.tarmsolicitudguardiasPK != null) || (this.tarmsolicitudguardiasPK != null && !this.tarmsolicitudguardiasPK.equals(other.tarmsolicitudguardiasPK))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tarmsolicitudguardias[ tarmsolicitudguardiasPK=" + tarmsolicitudguardiasPK + " ]";
    }
    
}
